Name:           openlmi-tools
Version:        0.9
Release:        14%{?dist}
Summary:        Set of CLI tools for Openlmi providers

License:        GPLv2+
URL:            http://fedorahosted.org/openlmi
Source0:        http://fedorahosted.org/released/openlmi-tools/%{name}-%{version}.tar.gz
Patch0:         openlmi-tools-01-python-base-dep.patch
Patch1:         openlmi-tools-02-fix-instance-deletion.patch
Patch2:         openlmi-tools-03-fix-instance-comparision.patch
Patch3:         openlmi-tools-04-fix-passing-method-params.patch
Patch4:         openlmi-tools-05-fix-log-messages-connect.patch
Patch5:         openlmi-tools-06-fix-unify-lmishell-naming.patch
Patch6:         openlmi-tools-07-fix-interactive-connect.patch
Patch7:         openlmi-tools-08-fix-compulsory-call-order-listener.patch
Patch8:         openlmi-tools-09-fix-blocking-when-receiving-indication.patch
Patch9:         openlmi-tools-10-fix-indication-unique-name.patch
Patch10:        openlmi-tools-11-update-documentation.patch
Patch11:        openlmi-tools-12-simplify-indication-subscription.patch
BuildArch:      noarch

BuildRequires:  automake
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  pywbem
BuildRequires:  pyOpenSSL
BuildRequires:  python-sphinx
Requires:       pywbem
Requires:       pyOpenSSL

Provides:       cura-tools = %{version}-%{release}
Obsoletes:      cura-tools < 0.1-4

%description
%{name} is a set of command line tools for Openlmi providers.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
pushd cli
%{__python} setup.py build
popd # cli

pushd doc
make man
popd # doc

%install
pushd cli
%{__python} setup.py install --skip-build -O1 --root %{buildroot}
popd # cli
install -m 755 -d %{buildroot}/%{_docdir}/%{name}-%{version}
install -m 644 README %{buildroot}/%{_docdir}/%{name}-%{version}
install -m 644 COPYING %{buildroot}/%{_docdir}/%{name}-%{version}
install -m 755 -d %{buildroot}/%{_mandir}/man1
install -m 644 doc/build/man/lmishell.1 %{buildroot}/%{_mandir}/man1/lmishell.1

# completion for bash
bash_comp_dir=%{buildroot}/%{_sysconfdir}/bash_completion.d
install -m 755 -d $bash_comp_dir
install -m 644 cli/completion/lmishell.bash $bash_comp_dir

# completion for zsh
zsh_comp_dir=%{buildroot}/%{_datadir}/zsh/site-functions
install -m 755 -d $zsh_comp_dir
install -m 644 cli/completion/_lmishell $zsh_comp_dir

%files
%doc README COPYING
%dir %{_datadir}/zsh/
%dir %{_datadir}/zsh/site-functions/
%dir %{_sysconfdir}/bash_completion.d/
%attr(755,root,root) %{_bindir}/lmishell
%{_mandir}/man1/lmishell.1.gz
%{_datadir}/zsh/site-functions/_lmishell
%{_sysconfdir}/bash_completion.d/lmishell.bash
%{python_sitelib}/lmi/shell/
%{python_sitelib}/openlmi_tools-*

%changelog
* Mon Dec  9 2013 Peter Hatina <phatina@redhat.com> - 0.9-14
- simplify indication subscription

* Mon Dec  9 2013 Peter Hatina <phatina@redhat.com> - 0.9-13
- fix documentation version

* Mon Dec  9 2013 Peter Hatina <phatina@redhat.com> - 0.9-12
- update documentation

* Fri Dec  6 2013 Peter Hatina <phatina@redhat.com> - 0.9-11
- fix indication unique name

* Fri Dec  6 2013 Peter Hatina <phatina@redhat.com> - 0.9-10
- fix blocking timeout when receiving indication

* Wed Dec  4 2013 Peter Hatina <phatina@redhat.com> - 0.9-9
- fix compulsory call order of LMIIndicationListener methods

* Tue Dec  3 2013 Peter Hatina <phatina@redhat.com> - 0.9-8
- fix interactive connect when run with -i

* Tue Dec  3 2013 Peter Hatina <phatina@redhat.com> - 0.9-7
- unify LMIShell naming

* Mon Dec  2 2013 Peter Hatina <phatina@redhat.com> - 0.9-6
- fix missing log messages in connect()

* Wed Nov 20 2013 Peter Hatina <phatina@redhat.com> - 0.9-5
- fix passing method params

* Wed Nov 20 2013 Peter Hatina <phatina@redhat.com> - 0.9-4
- fix instance comparision

* Wed Nov  6 2013 Peter Hatina <phatina@redhat.com> - 0.9-3
- fix passing instance references to method call

* Wed Nov  6 2013 Peter Hatina <phatina@redhat.com> - 0.9-2
- fix instance deletion

* Mon Nov  4 2013 Peter Hatina <phatina@redhat.com> - 0.9-1
- upgrade to v0.9

* Mon Nov  4 2013 Peter Hatina <phatina@redhat.com> - 0.8-2
- dropped openlmi-python-base dependency

* Wed Oct 23 2013 Peter Hatina <phatina@redhat.com> - 0.8-1
- upgrade to v0.8

* Mon Apr 29 2013 Peter Hatina <phatina@redhat.com> - 0.5-3
- remove sample scripts from the package

* Wed Feb 20 2013 Peter Hatina <phatina@redhat.com> - 0.5-2
- fix namespace handling

* Tue Feb 19 2013 Peter Hatina <phatina@redhat.com> - 0.5-1
- upgrade to v0.5

* Fri Feb 15 2013 Peter Hatina <phatina@redhat.com> - 0.4-1
- upgrade to v0.4

* Wed Feb 06 2013 Peter Hatina <phatina@redhat.com> - 0.3-1
- upgrade to v0.3

* Mon Nov 19 2012 Peter Hatina <phatina@redhat.com> - 0.2-1
- upgrade to v0.2

* Thu Oct 25 2012 Peter Hatina <phatina@redhat.com> - 0.1-5
- added python2-devel into BuildRequires

* Thu Oct 25 2012 Peter Hatina <phatina@redhat.com> - 0.1-4
- package renamed to openlmi-tools

* Sun Oct 07 2012 Peter Hatina <phatina@redhat.com> - 0.1-3
- added pywbem into Requires

* Sun Oct 07 2012 Peter Hatina <phatina@redhat.com> - 0.1-2
- removed python2 dependency
- fixed python_sitelib/fmci ownership
- fixed BuildRequires

* Sun Oct 07 2012 Peter Hatina <phatina@redhat.com> - 0.1-1
- initial import
